#pragma once

#include "CoreMinimal.h"
#include "TargetingStrategy.h"
#include "CameraCenterTargetingStrategy.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class DBDGAMEPLAY_API UCameraCenterTargetingStrategy : public UTargetingStrategy
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	float _cameraDegreesToleranceFromCenterScreen;

public:
	UCameraCenterTargetingStrategy();
};

FORCEINLINE uint32 GetTypeHash(const UCameraCenterTargetingStrategy) { return 0; }
